Subject: Girls soccer follow up
From: "Mike" <[email-masked]>
To: "Scott Richie" <[email-masked]>
Date: Thu, 19 Mar 2009 09:27:38 -0400

Scott,
I wanted to make sure you had my email address, (in case you couldn't find my original email).  I do need the schedule but will also need the registration forms.  Can you send me those or direct me to who would have those?  I want to be able to set a deadline for those forms for next Friday.  Also, are you going to call Francisco to set up the refs or will I need to do that?  Let me know asap.
Thank you,
Michael Bishop
[email-masked]